PCI_ENABLE_DEVICE(9)

NAME
pci_enable_device_bars - Initialize some of a device for use

SYNOPSIS

int pci_enable_device_bars (struct pci_dev * dev, int bars);

ARGUMENTS

dev PCI device to be initialized

bars
    bitmask of BAR's that must be configured

DESCRIPTION

Initialize device before it's used by a driver. Ask low-level code to enable selected I/O and memory resources. Wake up the device if it was suspended. Beware, this function can fail.